function [matrix new S] = skips(A,params,maxl)
if nargin < 3
    global maxlength;
else
    maxlength = maxl;
end

n =size(A,1);
probs=zeros(n,1);
for i = 1:n-1
    temp =gammaN(params(i,1),params(i,2),maxlength);
    probs(i) = temp(1);
end
S = diag(probs);
new = (eye(n)-(S*A))^-1*(eye(n)-S);
matrix = A*new;