function [paramstore probpairs,times,likenew] = generalEstimateTimes(activations,conditions,means,params,thresh,mask,nconds)
maxlength = max(activations(:,1));
means = means';
nscans = size(activations,1);
nstates=size(means,1);
indices=activations(:,1);
activations = activations(:,2:end);
likeold = -inf;
likenew = -inf;
count = 1;
actlogs = zeros(nscans,nstates);
probpairs = zeros(nscans,nstates);

%params is extended and extended... if you already use a 3d params
if ndims(params) < 3
    params=repmat(params,[1,1,nconds]);
end

times=zeros(nconds,1);
paramsold=params;
for i = 1:nstates
        actlogs(:,i)=-sum((activations-repmat(means(i,:),nscans,1)).^2,2)/2;
end
while likenew-likeold >= thresh || count == 1
    likeold = likenew;
    paramstore = paramsold;
    paramsold = params;
    likenew=0;
    durations = zeros(maxlength+1,nstates,nconds);

    for i = 1:nconds
        y = find(conditions==i);
        if not(isempty(y))
            x=find(indices(y,1)==1);
            x=cat(1,y(x(2:end)-1),y(end));
            lengths=indices(x);
            times(i)=mean(lengths);
            [probpairs1, likenew1,durations(:,:,i)] = probNs(lengths,params(:,:,i),actlogs(y,:),maxlength);
            likenew=likenew+likenew1;
            probpairs(y,:)=probpairs1;
        end
    end
    if thresh == 0
        likeold=likenew;
        break
    end       
    for j =1:nstates
        if mask(j)==0
            durationsj=sum(durations(:,j,:),3);
            if sum(durationsj>1)>2
                params(j,:,:)=repmat(gamfit(cat(2,.5,[2:2:maxlength*2]),[],[],durationsj'),[1,1,nconds]);
            end
        else
            for i = 1:nconds
                if sum(durations(:,j,i)>1)>2
                    params(j,:,i)=gamfit(cat(2,.5,[2:2:maxlength*2]),[],[],durations(:,j,i)');
                end
            end
        end
    end
    %params=max(.1,params);
    count = count+1;
    %[count,likenew-likeold ]
end